List transfers for account
curl --request GET \
--url https://api.venlyfinance.com/v1/accounts/{accountId}/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venlyfinance.com/v1/accounts/{accountId}/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venlyfinance.com/v1/accounts/{accountId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": [
{
"id": "a1b2c3d4-e5f6-4789-9abc-def012345678",
"senderAccountId": "b2a1f0e9-8c7d-4e3a-9f21-0a1b2c3d4e5f",
"receiverAccountId": "c3b2a1f0-9d8c-4e3a-bf21-1a2b3c4d5e60",
"chain": "BASE",
"asset": "USDC",
"amount": 25,
"description": "Invoice settlement",
"idempotencyKey": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "COMPLETED",
"transactionHash": "0xa1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:02Z"
},
{
"id": "b2c3d4e5-f6a7-4890-abcd-ef0123456789",
"senderAccountId": "b2a1f0e9-8c7d-4e3a-9f21-0a1b2c3d4e5f",
"receiverAccountId": "c3b2a1f0-9d8c-4e3a-bf21-1a2b3c4d5e60",
"chain": "BASE",
"asset": "USDC",
"amount": 10,
"description": "Invoice settlement",
"idempotencyKey": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "COMPLETED",
"transactionHash": "0xa1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:02Z"
}
],
"pagination": {
"pageNumber": 1,
"pageSize": 20,
"numberOfElements": 2,
"numberOfPages": 1,
"hasNextPage": false,
"hasPreviousPage": false
}
}{
"success": false,
"errors": [
{
"code": "invalid-request",
"message": "The request contains invalid parameters."
}
]
}{
"success": false,
"errors": [
{
"code": "unauthenticated",
"message": "Please authenticate to perform this action."
}
]
}{
"success": false,
"errors": [
{
"code": "forbidden",
"message": "You do not have permission to access this resource."
}
]
}{
"success": false,
"errors": [
{
"code": "account-not-found",
"message": "The requested resource was not found."
}
]
}{
"success": false,
"errors": [
{
"code": "internal-error",
"message": "An unexpected error occurred. Please try again later."
}
]
}Transfers
List transfers
Page through an account’s transfers — sent and received, fiat and crypto.
GET
/
accounts
/
{accountId}
/
transfers
List transfers for account
Requires scope:
manage:transfers — see Required scopes.
Returns the account’s transfers. Filter by accountRole (SENDER/RECEIVER) and status, and page with page/size (see Pagination).
Concept guide: TransfersAuthorizations
OAuth2 client credentials flow. Token endpoints:
Path Parameters
Unique account identifier
Query Parameters
Filter by the account's role in the transfer
Available options:
SENDER, RECEIVER Filter by transfer status Status of a transfer
Available options:
PENDING, COMPLETED, FAILED Field to sort by
Sort direction
Available options:
ASC, DESC Page number (1-based indexing)
Required range:
x >= 1Number of items per page
Required range:
x >= 1Was this page helpful?

